Bug 149963 - chinese/ibus-chewing: Refine FETCH_ARGS
Summary: chinese/ibus-chewing: Refine FETCH_ARGS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-25 14:10 UTC by Eric L. Chen
Modified: 2011-02-13 00:27 UTC (History)
0 users

See Also:


Attachments
file.diff (436 bytes, patch)
2010-08-25 14:10 UTC, Eric L. Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric L. Chen 2010-08-25 14:10:06 UTC
Refhine FETCH_ARGS, recommended by Julian H. Stacey

Fix: Patch attached with submission follows:
Comment 1 Philip M. Gollucci freebsd_committer 2010-09-10 05:32:53 UTC
State Changed
From-To: open->feedback

Request feedback better patch 
http://people.freebsd.org/~pgollucci/FreeBSD/diffs/chinese_ibus-chewing-1.3.5.20100706.diff
Comment 2 Eric L. Chen 2010-11-19 03:11:29 UTC
New patch:

diff -purN ibus-chewing.orig/Makefile ibus-chewing/Makefile
--- ibus-chewing.orig/Makefile  2010-09-10 14:47:29.000000000 +0800
+++ ibus-chewing/Makefile       2010-09-10 16:31:18.000000000 +0800
@@ -19,9 +19,6 @@ BUILD_DEPENDS=        gob2:${PORTSDIR}/devel/go
 RUN_DEPENDS=   ibus-daemon:${PORTSDIR}/textproc/ibus
 LIB_DEPENDS=   chewing.3:${PORTSDIR}/chinese/libchewing

-FETCH_BEFORE_ARGS=     -o ${DISTNAME}${EXTRACT_SUFX}
-FETCH_ARGS=    -apRr
-
 USE_GETTEXT=   yes
 USE_GNOME=     gconf2 gtk20
 USE_XORG=      xtst


On Wed, Aug 25, 2010 at 9:10 PM, <FreeBSD-gnats-submit@freebsd.org> wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/149963'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=149963
>
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       Refine FETCH_ARGS
> >Arrival-Date:   Wed Aug 25 13:10:06 UTC 2010
>
Comment 3 Po-Chuan Hsieh freebsd_committer 2011-02-08 09:03:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I will take it.
Comment 4 Po-Chuan Hsieh freebsd_committer 2011-02-13 00:27:19 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!